<?php
namespace Claromentis\People\Subscriber;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_104d2e65fd6a12ea47809e7798" . "94b517" => base64_decode("T25EZWxldGVVc2V" . "y"), "_a889687d4f2e7eed7" . "a091dd1abe903aa" => base64_decode("T25DcmVh" . "dGVVc2Vy"), "_45ed8675ea7eada7f4efaaf62c" . "ef70c3" => base64_decode("T25V" . "cGRh" . "dGVV" . "c2Vy"));
use Claromentis\Core\Event\EventSubscriberInterface;
use Claromentis\People\Event\AddUserEvent;
use Claromentis\People\Event\DeleteUserEvent;
use Claromentis\People\Event\PeopleEventType;
use Claromentis\People\Event\UpdateUserEvent;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing;




class SearchSubscriber implements EventSubscriberInterface
{
    public static function getSubscribedEvents()
    {
        return [PeopleEventType::ADD_USER => $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a889687d4f2e7eed7a091" . "dd1abe903aa"], PeopleEventType::UPDATE_USER => $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_45ed8675ea7eada7f4efaaf62cef" . "70c3"], PeopleEventType::DELETE_USER => $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_104d2e65fd6a12ea47809e779" . "894b517"]];
    }
    public function OnCreateUser(AddUserEvent $event)
    {
        $this->ReindexUser($event->GetUserId());
    }
    public function OnUpdateUser(UpdateUserEvent $event)
    {
        $this->ReindexUser($event->GetUserId());
    }
    public function OnDeleteUser(DeleteUserEvent $event)
    {
        $this->DeleteUserIndex($event->GetUserId());
    }
    protected function ReindexUser($user_id)
    {
        IndexingQueue::Reindex(Indexing\User::TYPE_NAME, $user_id);
    }
    protected function DeleteUserIndex($user_id)
    {
        IndexingQueue::DeleteIndex(Indexing\User::TYPE_NAME, $user_id);
    }
}